import request from '@/utils/request'

// 查询企业新列表
export function listNew(query) {
  return request({
    url: '/programManagement/new/list',
    method: 'get',
    params: query
  })
}

// 查询企业新详细
export function getNew(id) {
  return request({
    url: '/system/new/' + id,
    method: 'get'
  })
}

// 新增企业新
export function addNew(data) {
  return request({
    url: '/system/new',
    method: 'post',
    data: data
  })
}

// 修改企业新
export function updateNew(data) {
  return request({
    url: '/system/new',
    method: 'put',
    data: data
  })
}

// 删除企业新
export function delNew(id) {
  return request({
    url: '/system/new/' + id,
    method: 'delete'
  })
}